"""pai2 URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.8/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Add an import:  from blog import urls as blog_urls
    2. Add a URL to urlpatterns:  url(r'^blog/', include(blog_urls))
"""
from django.conf import settings
from django.conf.urls import include, url
from django.conf.urls.static import static
from django.contrib import admin

from rest_framework import routers
from account import views as account_views
from photo import views as photo_views

router = routers.DefaultRouter()
# router.register(r'users', account_views.UserViewSet)
# router.register(r'groups', account_views.GroupViewSet)
router.register(r'lensmans', account_views.LensmanInfoViewSet)
router.register(r'photos', photo_views.PhotoInfoViewSet)

urlpatterns = [
    url(r'^pai2admin/', include(admin.site.urls)),
]

urlpatterns += [
    url(r'^api/', include('api.urls', namespace='api')),
    # url(r'^photo/', include('photo.urls', namespace='photo'))
]

# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns += [
    url(r'^apihome/', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework'))
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
